> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Redeem Install Token

> Exchange a one-time install token for daemon credentials.

Called by the install script. Token is in the body (not the URL) to
avoid exposure in access logs, CDN logs, and browser history.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /daemon/redeem-install-token
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /daemon/redeem-install-token:
    post:
      tags:
        - Daemon
      summary: Redeem Install Token
      description: |-
        Exchange a one-time install token for daemon credentials.

        Called by the install script. Token is in the body (not the URL) to
        avoid exposure in access logs, CDN logs, and browser history.
      operationId: redeem_install_token_daemon_redeem_install_token_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RedeemInstallTokenRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedeemInstallTokenResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RedeemInstallTokenRequest:
      properties:
        install_token:
          type: string
          title: Install Token
      type: object
      required:
        - install_token
      title: RedeemInstallTokenRequest
    RedeemInstallTokenResponse:
      properties:
        token:
          type: string
          title: Token
        app_slug:
          type: string
          title: App Slug
        api_url:
          type: string
          title: Api Url
        user_key:
          type: string
          title: User Key
        email:
          type: string
          title: Email
      type: object
      required:
        - token
        - app_slug
        - api_url
        - user_key
        - email
      title: RedeemInstallTokenResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````